#
# spec file for package rubygem-http-form_data
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define mod_name http-form_data
%define mod_full_name %{mod_name}-%{version}
#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#
Name:           rubygem-http-form_data
Version:        2.3.0
Release:        1.15
Summary:        http-form_data-2.3.0
License:        MIT
Group:          Development/Languages/Ruby
URL:            https://github.com/httprb/form_data.rb
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5

%description
Utility-belt to build form data request bodies. Provides support for
`application/x-www-form-urlencoded` and `multipart/form-data` types.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGES.md LICENSE.txt README.md" \
  -f
# MANUAL
# drop files from the git repository
find %{buildroot}/%{_libdir}/ruby/gems/ \( -name '.rubocop.yml' -o -name '.travis.yml' -o -name '.yardopts' -o -name '.rspec' -o -name '.gitignore' -o -name '.editorconfig' \) | xargs rm -rf
# /MANUAL


%gem_packages

%changelog
* Wed Aug 25 2021 Dan Čermák <dcermak@suse.com>
- Cleanup spec
* Thu May  7 2020 Stephan Kulow <coolo@suse.com>
- updated to version 2.3.0
  see installed CHANGES.md
  [#]# 2.3.0 (2020-03-08)
  * [#29](https://github.com/httprb/form_data/pull/29)
    Enhance HTTP::FormData::Urlencoded with per-instance encoder.
    [@summera][]
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 2.2.0
  see installed CHANGES.md
  [#]# 2.2.0 (2020-01-09)
  * [#28](https://github.com/httprb/form_data/pull/28)
    Ruby 2.7 compatibility.
    [@janko][]
* Fri Jun  1 2018 factory-auto@kulow.org
- updated to version 2.1.1
  see installed CHANGES.md
  [#]# 2.1.1 (2018-06-01)
  * [#23](https://github.com/httprb/form_data/pull/23)
    Allow override urlencoded form data encoder.
    [@FabienChaynes][]
* Mon Mar  5 2018 factory-auto@kulow.org
- updated to version 2.1.0
  see installed CHANGES.md
  [#]# 2.1.0 (2018-03-05)
  * [#21](https://github.com/httprb/form_data/pull/21)
    Rewind content at the end of `Readable#to_s`.
    [@janko-m][]
  * [#19](https://github.com/httprb/form_data/pull/19)
    Fix buffer encoding.
    [@HoneyryderChuck][]
* Wed Oct 11 2017 coolo@suse.com
- updated to version 2.0.0
  see installed CHANGES.md
* Tue May 23 2017 coolo@suse.com
- updated to version 1.0.3
  see installed CHANGES.md
  [#]# 1.0.2 (2017-05-18)
  * [#16](https://github.com/httprb/form_data/issues/16)
    Fix ruby < 2.0.0 support.
    [@ixti][]
  [#]# 1.0.2 (2017-05-08)
  * [#5](https://github.com/httprb/form_data.rb/issues/5)
    Allow setting Content-Type non-file parts.
    [@abotalov][]
  * [#6](https://github.com/httprb/form_data.rb/issues/6)
    Creation of file parts without filename.
    [@abotalov][]
  * [#11](https://github.com/httprb/form_data.rb/pull/11)
    Deprecate `HTTP::FormData::File#mime_type`. Use `#content_type` instead.
    [@ixti][]
* Tue Feb 14 2017 mmeister@suse.com
- Initial packaging
